Bug 1911418 - [v2v] The target storage class name is not displayed if default storage class is used
Summary: [v2v] The target storage class name is not displayed if default storage class...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-29 11:34 UTC by Yaacov Zamir
Modified: 2021-02-24 15:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:49:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7679 0 None closed Bug 1911418: default storage class is not used in rootdisk 2021-02-11 07:46:15 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:49:25 UTC

Description Yaacov Zamir 2020-12-29 11:34:29 UTC
Description of problem:
Create VM Wizard, without specifying the target storage class.
import wizard, storage tab displays the target storage class name: "-".
It should display the name of the default storage class.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Yaacov Zamir 2020-12-29 16:18:38 UTC
submitted upstream:
https://github.com/openshift/console/pull/7675

Comment 2 Yaacov Zamir 2020-12-29 16:20:08 UTC
sorry wrong pull request, moving to new

Comment 3 Yaacov Zamir 2020-12-30 07:47:43 UTC
Note:
When fixing this bug look at this other bugs related to storage not using data available in the template to create storage in VM:

https://bugzilla.redhat.com/show_bug.cgi?id=1911382 - source volumeMode (Block) and target volumeMode (Filesystem) do not match" shows in VM Error
https://bugzilla.redhat.com/show_bug.cgi?id=1895169 - VM Template does not properly manage Mount Windows guest tools check box during VM creation (assigned Philip)
https://bugzilla.redhat.com/show_bug.cgi?id=1911418 -  The target storage class name is not displayed if default storage class is used (assigned Gilad)

Comment 7 errata-xmlrpc 2021-02-24 15:49:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.